### Class

# Pango Coverage

since: 1.0

#### Description [src]

    final class Pango.Coverage : GObject.Object
    {
      /* No available fields */
    }

A `PangoCoverage` structure is a map from Unicode characters to `PangoCoverageLevel` values.

It is often necessary in Pango to determine if a particular font can represent a particular character, and also how well it can represent that character. The `PangoCoverage` is a data structure that is used to represent that information. It is an opaque structure with no public fields.

Available since: 1.0

#### Ancestors

- GObject

#### Constructors

###### pango_coverage_new

Create a new `PangoCoverage`

since: 1.0

#### Functions

###### pango_coverage_from_bytes

Convert data generated from `pango_coverage_to_bytes()` back to a `PangoCoverage`.

deprecated: 1.44 since: 1.0

#### Instance methods

###### pango_coverage_copy

Copy an existing `PangoCoverage`.

since: 1.0

###### pango_coverage_get

Determine whether a particular index is covered by `coverage`.

since: 1.0

###### pango_coverage_max

Set the coverage for each index in `coverage` to be the max (better) value of the current coverage for the index and the coverage for the corresponding index in `other`.

deprecated: 1.44 since: 1.0

###### pango_coverage_ref

Increase the reference count on the `PangoCoverage` by one.

deprecated: 1.52 since: 1.0

###### pango_coverage_set

Modify a particular index within `coverage`.

since: 1.0

###### pango_coverage_to_bytes

Convert a `PangoCoverage` structure into a flat binary format.

deprecated: 1.44 since: 1.0

###### pango_coverage_unref

Decrease the reference count on the `PangoCoverage` by one.

deprecated: 1.52 since: 1.0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

unstable since: 2.0